## netams 3.4.3+dfsg1

=== Makefile ===
#*************************************************************************
#***     Authentication, authorization, accounting + firewalling package
#***     Copyright 1998-2002 Anton Vinokurov <anton@netams.com>
#***     Copyright 2002-2008 NeTAMS Development Team
#***     This code is GPL v3
#***     For latest version and more info, visit this project web page
#***     located at http://www.netams.com
#***
#*************************************************************************/
#/* $Id: Makefile,v 1.98 2009-08-01 09:23:54 anton Exp $ */

RELEASE=3.4.3

include Rules.make

#Optional for profiler support
#LIB += -pg -static -lssl -lm -lintl -lz -liconv
#FLAGS += -pg 
#

all: config lib
	cd src && make all

config:
	sh configure.sh

distclean: clean
	rm Rules.make; touch Rules.make; rm -rf *.[0-9] ; 

lib: config
	cd lib && make library
	
clean:
	cd lib && make cleanlibrary
	cd src && make clean

webinstall: 
	$(INSTALL) -d -m 755 $(PATH_TO_WWW)/cgi-bin/admin $(PATH_TO_WWW)/stat $(PATH_TO_WWW)/images 
	$(INSTALL) -m 755 cgi-bin/*.cgi cgi-bin/*.pl cgi-bin/*.tmpl cgi-bin/*.res $(PATH_TO_WWW)/cgi-bin
	$(INSTALL) -m 755 cgi-bin/admin/*.cgi cgi-bin/admin/*.tmpl cgi-bin/admin/*.res $(PATH_TO_WWW)/cgi-bin/admin
	$(INSTALL) -m 644 cgi-bin/admin/.htaccess $(PATH_TO_WWW)/cgi-bin/admin
	$(INSTALL) -m 644 cgi-bin/images/*.gif cgi-bin/images/*.jpg $(PATH_TO_WWW)/images
	$(INSTALL) -m 644 addon/index.html $(PATH_TO_WWW)
	$(INSTALL) -m 644 addon/netams-apache $(PATH_TO_ETC)/netams-apache

install: all webinstall
	$(INSTALL) src/netams $(DAEMONDIR)
	cd src ; $(INSTALL) $(PROG) $(SBINDIR) ; cd ..
	$(INSTALL) -d -m 644 $(MANDIR)/man8
	$(INSTALL) -m 644 doc/*.8 $(MANDIR)/man8
	$(INSTALL) -m 644 addon/netams.conf $(PATH_TO_ETC)/netams.conf.sample
	$(INSTALL) -m 644 addon/.netamsctl.rc $(PATH_TO_ETC)/.netamsctl.rc
	$(INSTALL) -m 644 addon/ru-networks.txt $(PATH_TO_ETC)/ru-networks.txt.sample
	$(INSTALL) -m 644 addon/ua-networks.txt $(PATH_TO_ETC)/ua-networks.txt.sample
	sed -e "s#DAEMONDIR#$(DAEMONDIR)#g" -e "s#PATH_TO_ETC#$(PATH_TO_ETC)#g" addon/$(STARTUP_SCRIPT) > /tmp/netams-startup.sh 
	$(INSTALL) -m 755 /tmp/netams-startup.sh $(PATH_TO_SCRIPTS)/$(STARTUP_SCRIPT)
	rm -f /tmp/netams-startup.sh
	@echo
	@echo "PLEASE READ THE DOCUMENTATION FIRST!"
	@echo "http://www.netams.com/"
	@echo

distrib:
	rm -rf TEMP; mkdir TEMP; mkdir TEMP/netams-$(RELEASE)  
	cp -Rp src doc lib cgi-bin Makefile GPL configure.sh Rules.make INSTALL addon TEMP/netams-$(RELEASE)  
	cd TEMP ; find . -type f -exec dos2unix -p {} \; 
	cp -Rp cgi-bin/images TEMP/netams-$(RELEASE)/cgi-bin  
	cd TEMP ; tar -z -c -v --exclude *CVS*  --exclude *.o --exclude *.bak --exclude *~  \
	 --exclude .cvs* -f ../netams-$(RELEASE).tar.gz netams-$(RELEASE) 
	rm -rf TEMP

=== debian/changelog ===
netams (3.4.3+dfsg1-3build1) lucid; urgency=low

  * Rebuild for libmysqlclient transition.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 05 Apr 2010 22:19:22 -0400

netams (3.4.3+dfsg1-3) unstable; urgency=low

  * debian/copyright: add more details about sources of some part of the
    code.

 -- Alexander GQ Gerasiov <gq@debian.org>  Thu, 26 Nov 2009 02:08:19 +0300

netams (3.4.3+dfsg1-2) unstable; urgency=low

  * Fix escape issues in netams.postinst.
  * Switch to dpkg v3 format (quilt).
  * Standards version updated (no changes).

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 24 Nov 2009 14:46:14 +0300

netams (3.4.3+dfsg1-1) unstable; urgency=low

  * Imported Upstream version 3.4.3
  * Clean out Cisco's code with unknown license. Replaced with code from
    flow flow-tools upstream sources repackaged with +dfsg1.
  * Deleted debian/stamp-autotools-files. This is garbage.
  * Removed 15_fix_warnings.dpatch and 16_wipe_openssl.dpatch. Fixed
    upstream.
  * Switched from dpatch to quilt.
  * 02_remove_lcrypto.diff added: do not link with crypto.
  * debian/watch modified to handle mangled (+dfsg) package version.
  * Patches annotated according to DEP-3.
  * Upload to Debian (Closes: #496636).

 -- Alexander GQ Gerasiov <gq@debian.org>  Mon, 23 Nov 2009 15:33:00 +0300

netams (3.4.2c-3) unstable; urgency=low

  * Turn off PostgreSQL support, because libpq links with OpenSSL.
  * debian/rules: don't overwrite (restore on clean) upstream's
    versions_build.c
  * Increase standards version, no changes needed.
  * Update my e-mail address.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 05 Jul 2009 18:46:47 +0400

netams (3.4.2c-2) unstable; urgency=low

  * Add debian/patches/16_wipe_openssl.dpatch, to build netams without OpenSSL.
  * debian/control: build-depend on debhelper (>=7.0.0) as in debian/compat.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sun, 05 Jul 2009 00:17:52 +0400

netams (3.4.2c-1) unstable; urgency=low

  * Imported Upstream version 3.4.2c
  * debian/patches updated to new verion.
  * debian/rules: not removing version....c
  * debian/rules: chmod 644 on examples.
  * debian/copyright: typo fixed.
  * README.Debian: spelling fixed, thanks goes to lintian's authors.
  * netams.config: remove seen flag from password on exit.
  * netams.init.d: print final dot on reopen-logs.
  * 15_fix_warnings.dpatch added: fix multiple build warnings.
  * 15_fix_warnings.dpatch: patch description added.
  * debian/control: bump standard's version: netams-dbg goes to devel.
  * debian/control: fix "package-lacks-versioned-build-depends-on-debhelper 7".
  * debian/control: fix "debhelper-but-no-misc-depends netams-dbg".

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Mon, 25 May 2009 21:19:03 +0400

netams (3.4.2~cvs20090103-1) unstable; urgency=low

  * Initial Release.

 -- Alexander GQ Gerasiov <gq@cs.msu.su>  Sat, 10 Jan 2009 02:56:44 +0300

=== debian/control ===
Source: netams
Section: net
Priority: optional
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Build-Depends: debhelper (>= 7.0.0), libmysqlclient-dev, libnetfilter-queue-dev, libpcap0.8-dev, cdbs, po-debconf, libglib2.0-dev
Standards-Version: 3.8.3
Homepage: http://www.netams.com
Vcs-Git: git://git.gq.net.ru/netams.git
Vcs-Browser: http://git.gq.net.ru/?p=netams.git

Package: netams
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, dbconfig-common, lsb-base, dbconfig-common, lsb-base
Recommends: netams-web, apache2|lighttpd|httpd
Suggests: mysql-server|postgresql
Description: Network Traffic Accounting and Monitoring Software
 NeTAMS stands for Network Traffic Accounting and Monitoring Software.
 It is built for UNIX and works for networks with Cisco routers or PC Unix
 routers (Linux/FreeBSD/Solaris). Several methods of traffic gathering are
 supported (tee/divert/ip_queue/libpcap/ulog/netflow v5 and v9/netgraph),
 database storage (BerkleyDB/MySQL/PostgresSQL/Oracle/Radius), aggregation,
 visualization, notification etc. It is possible to block traffic based on
 quotas, web authorization, account balance (billing); manage bandwidth, MAC
 assignmant violations, RADIUS services, create a flexible accounting and
 filtering policies.
 .
 This package contains netams daemon.

Package: netams-dbg
Architecture: any
Section: debug
Priority: extra
Depends: netams (= ${binary:Version}), ${misc:Depends}
Description: Debug symbols for the NeTAMS
 This package includes the debugging symbols for NeTAMS.

Package: netams-web
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, apache2|httpd-cgi, libcrypt-generatepassword-perl, libgd-gd2-perl
Recommends: libdbd-mysql-perl|libdbd-pg-perl
Suggests: netams
Description: NetAMS's web-interface
 NeTAMS stands for Network Traffic Accounting and Monitoring Software.
 It is built for UNIX and works for networks with Cisco routers or PC
 Unix routers (Linux/FreeBSD/Solaris). Several methods of traffic
 gathering are supported (tee/divert/ip_queue/libpcap/ulog/netflow v5
 and v9/netgraph), database storage (BerkleyDB/MySQL/PostgresSQL/
 Oracle/Radius), aggregation, visualization, notification etc. It is
 possible to block traffic based on quotas, web authorization, account
 balance (billing); manage bandwidth, MAC assignmant violations, RADIUS
 services, create a flexible accounting and filtering policies.
 .
 This package contain admin and user web-interface for netams server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/buildcore.mk

common-build-arch::
	test -f src/versions_build.c.upstream || cp src/versions_build.c src/versions_build.c.upstream
	make
	cp addon/.netamsctl.rc addon/netamsctl.rc
	cp cgi-bin/admin/config.cgi cgi-bin/admin/admin-config.cgi
	chmod 644 addon/netamsctl.rc

clean::
	make distclean
	rm -f src/versions_build_local.dat addon/netamsctl.rc
	rm -f cgi-bin/admin/admin-config.cgi
	test ! -f src/versions_build.c.upstream || mv -f src/versions_build.c.upstream src/versions_build.c

binary-post-install/netams::
	chmod 644 debian/netams/usr/share/netams/*
	find debian/netams/usr/share/doc/netams/examples -type f -exec chmod 644 {} \;

binary-post-install/netams-web::
	find debian/netams-web/usr/share/netams-web/ -type f -exec chmod 644 {} \;
	find debian/netams-web/usr/share/netams-web/ -type f \( -name '*.cgi' -o -name '*.pl' \) -exec chmod 755 {} \;
	rm debian/netams-web/usr/share/netams-web/admin/admin-config.cgi
	rm debian/netams-web/usr/share/netams-web/admin/*.sql

cvsimport:
	git checkout upstream
	git-cvsimport -a -k -d :pserver:netams@netams.netams.com:/netams/cvs -r cvs netams
	git checkout master

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 2 file
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
  http://www.netams.com/download.html files/netams-([0-9.rcbeta]*).tar.gz

## netams 3.4.5

=== Makefile ===
--- 
+++ 
@@ -7,9 +7,9 @@
 #***     located at http://www.netams.com
 #***
 #*************************************************************************/
-#/* $Id: Makefile,v 1.98 2009-08-01 09:23:54 anton Exp $ */
+#/* $Id: Makefile,v 1.101 2010-01-13 18:47:19 anton Exp $ */
 
-RELEASE=3.4.3
+RELEASE=3.4.5
 
 include Rules.make
 
@@ -40,8 +40,8 @@
 	$(INSTALL) -m 755 cgi-bin/admin/*.cgi cgi-bin/admin/*.tmpl cgi-bin/admin/*.res $(PATH_TO_WWW)/cgi-bin/admin
 	$(INSTALL) -m 644 cgi-bin/admin/.htaccess $(PATH_TO_WWW)/cgi-bin/admin
 	$(INSTALL) -m 644 cgi-bin/images/*.gif cgi-bin/images/*.jpg $(PATH_TO_WWW)/images
-	$(INSTALL) -m 644 addon/index.html $(PATH_TO_WWW)
-	$(INSTALL) -m 644 addon/netams-apache $(PATH_TO_ETC)/netams-apache
+	$(INSTALL) -m 644 addon/index.html addon/netams.js $(PATH_TO_WWW)
+	$(INSTALL) -m 644 addon/netams-apache $(PATH_TO_ETC)/netams-apache.conf
 
 install: all webinstall
 	$(INSTALL) src/netams $(DAEMONDIR)

=== lib/Makefile ===
# $Id: Makefile,v 1.5 2006-05-24 07:09:06 jura Exp $

include ../Rules.make

CC	= gcc
FLAGS  += -pipe -O2
CFLAGS  = $(FLAGS) -I../src -I./ $(DEFINE)
NLIB   += libcli libnetams
LIB     = $(NLIB:=.a)

library: $(LIB)

libcli.a:
	$(CC) $(CFLAGS) -Wno-format-zero-length -I./libcli -c libcli/libcli.c
	ar rc libcli.a libcli.o

libradius.a:
	$(CC) $(CFLAGS) -I ../src -I./radlib -c radlib/radlib.c
	ar rc libradius.a radlib.o

libipulog.a:
	$(CC) $(CFLAGS) -I./libipulog/include -c libipulog/libipulog.c
	ar rc libipulog.a libipulog.o

libnetams.a:
	$(CC) $(CFLAGS) -c lib.c
	ar rc libnetams.a lib.o $(OBJ)

cleanlibrary:
	rm -rf *.o *.a

clean: cleanlibrary

=== src/Makefile ===
# $Id: Makefile,v 1.40 2009-02-01 13:32:10 anton Exp $

include ../Rules.make

SRC += main.c common.c versions.c connections.c security.c services.c \
s_server.c users.c net_units.c s_processor.c messages_fifo.c s_datasource.c \
policy.c s_storage.c st_hash.c st_sql.c p_prefix.c s_alerter.c s_scheduler.c \
ds_netflow.c s_html.c s_monitor.c s_quotactl.c s_quota.c \
st_sql_mysql.c st_sql_oracle.c st_sql_postgres.c iptree.c \
s_login.c flow.c flowengine.c ds_ipq.c ds_libpcap.c ds_ipfw.c memory.c events.c html.c \
bw.c ds_ulog.c ds_netgraph.c attrlist.c time.c \
st_radius.c s_acl_server.c mutex.c lang.c cli.c layer7.c ds_raw.c list.c

CC     = g++
CPP    = g++
FLAGS  += -pipe -fPIC -Wno-deprecated 
DEFINE += -D_REENTRANT -D_THREAD_SAFE
INCLUDE=/usr/local/include
OBJ     = $(SRC:.c=.o)
CFLAGS  = $(FLAGS) -I$(INCLUDE) -I../lib $(DEFINE)
LIB += -L../lib -lcli -lcrypto 
SYSLIB += -L../lib -lnetams

all: $(FREEBSD_KMOD) $(PROG) netams

netams:	$(OBJ)
	./versions.sh $(PATH_TO_CONFIG)/$(CONFIG_FILE_NAME) $(PATH_TO_LOG)
	$(CPP) $(OBJ) versions_build.o $(SYSLIB) $(LIB) -o netams
								

pam_netams.so: pam_netams.c
	$(CPP) -o pam_netams.so pam_netams.c -shared $(LIB) $(CFLAGS)

netamsctl: lib netamsctl.o
	$(CPP) netamsctl.o -o netamsctl $(SYSLIB)

flowprobe.o: flowprobe.c
	${CPP} flowprobe.c -c $(CFLAGS)

flowprobe: lib netflow.o flowprobe.o 
	$(CPP) netflow.o flowprobe.o -o flowprobe $(SYSLIB) -lpcap

ipfw2netflow.o: ipfw2netflow.c
	$(CPP) ipfw2netflow.c -c $(CFLAGS) -DKEVENT  

ipfw2netflow:  lib netflow.o ipfw2netflow.o
	$(CPP) netflow.o ipfw2netflow.o -o ipfw2netflow $(SYSLIB)

ulog2netflow.o: ulog2netflow.c
	$(CPP) ulog2netflow.c -c $(CFLAGS)

ulog2netflow: lib netflow.o ulog2netflow.o
	$(CPP) netflow.o ulog2netflow.o -o ulog2netflow $(SYSLIB) -lipulog

ascii2netflow: lib netflow.o ascii2netflow.o
	$(CPP) netflow.o ascii2netflow.o -o ascii2netflow $(SYSLIB)

netflow.o: netflow.c
	$(CPP) netflow.c -c $(CFLAGS)

lib:
	cd ../lib && make library && cd ../src

clean: $(FREEBSD_KMOD_CLEAN)
	rm -f machine @ 
	rm -rf $(OBJ) netams $(PROG) $(FREEBSD_KMOD) \
	*.o core *.core

ng_netams.ko: ng_netams.c
	touch opt_netgraph.h
	$(MAKE) -f Makefile.kmod
	rm opt_netgraph.h

clean_ng_netams.ko:
	$(MAKE) -f Makefile.kmod clean

=== addon/rlm_netams/Makefile ===
#######################################################################
# This is FreeRADIUS loadable interface module for NeTAMS project
# See README file in this folder for instructions
# $Id: Makefile,v 1.1 2005-04-02 00:28:21 anton Exp $
#######################################################################
TARGET      = rlm_netams
SRCS        = rlm_netams.c
# RLM_CFLAGS  =  -I/usr/include
# RLM_LIBS    =  -lc
# RLM_INSTALL = 

include ../rules.mak

$(STATIC_OBJS): $(HEADERS)

$(DYNAMIC_OBJS): $(HEADERS)

=== lib/libipulog/Makefile ===
# Generated automatically from Makefile.in by configure.
#

include ../../Rules.make
CC = gcc
CFLAGS+=-Iinclude -I/usr/src/linux/include -I../

libipulog.a: libipulog.o
	$(LD) -i $< -o $@

distrib:

ulog_test: ulog_test.c libipulog.a
	$(CC) $(CFLAGS) ulog_test.c libipulog.a -o ulog_test

libipulog.o: libipulog.c
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	$(RM) ulog_test libipulog.o libipulog.a

distclean: clean
	$(RM) Makefile

install: libipulog.a

=== debian/changelog ===
netams (3.4.5-2ubuntu3) precise-proposed; urgency=low

  * debian/patches/16_fix_mysql_load_data.patch: fix errors with usage
    of mysql's statement "LOAD DATA LOCAL INFILE". (LP: #1060320)

 -- Dmitriy Alexandrov <d06alexandrov@gmail.com>  Sun, 05 Aug 2012 15:45:07 +0400

netams (3.4.5-2ubuntu2) precise; urgency=low

  * Rebuild for libmysqlclient transition

 -- Clint Byrum <clint@ubuntu.com>  Wed, 23 Nov 2011 23:58:46 -0800

netams (3.4.5-2ubuntu1) natty; urgency=low

  * debian/Rules.make: search libraries and includes in multiarch 
    directorys,too (LP: #755991)

 -- Andreas Moog <amoog@ubuntu.com>  Sun, 10 Apr 2011 03:19:51 +0200

netams (3.4.5-2) unstable; urgency=low

  * debian/Rules.make: Add -lcrypto to fix FTBFS with binutils-gold.
  * debian/netams.postinst: Fix some sed magic in netams.conf
    processing.
  * debian/control: Standards version updated.
  * Vietnamese translation added. Closes: #576026. Thanks to Clytie
    Siddall.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sat, 24 Jul 2010 16:37:01 +0400

netams (3.4.5-1) unstable; urgency=low

  * debian/rules: git-cvsimport -> git cvsimport
  * Imported Upstream version 3.4.5
  * debian/copyright: "Happy New Year!" changes :)
  * debian/control: standard's version updated, no changes needed.
  * debian/patches/05_manpage_whatis.diff removed: fixed upstream.
  * debian/patches/11_umask.diff refreshed.
  * debian/watch: version divert removed.
  * debian/Rules.make Fix FTBFS on kfreebsd.
  * Add 14_fix_pthread.diff: fix incorrect usage of
    pthread_cleanup_pop(). Fixes FTBFS on kfreebsd.
  * Add 15_fix_ftbfs_kfreebsd.diff: fixes FTBFS on kfreebsd.
  * debian/Rules.make: removed some duplicate entries.
  * Install ipfw2netflow and ascii2netflow if exists.
  * Install netams.js to netams-web.
  * debian/control: Depend on libmysqlclient-dev instead of
    libmysqlclient15-dev.

 -- Alexander GQ Gerasiov <gq@debian.org>  Tue, 06 Jul 2010 03:29:43 +0400

netams (3.4.3+dfsg1-4) unstable; urgency=low

  * debian/copyright: typo fixed.
  * debian/control: fix spelling and typos. Thanks Josh Triplett.
    (Closes: #559100)
  * debian/control: fix arch specific build-depends to libnetfilter-
    queue-dev [!kfreebsd-i386 !kfreebsd-amd64], libnetgraph-dev
    [kfreebsd-i386 kfreebsd-amd64].
  * debian/control: netams-web should go to extra, because of depends.
  * debian/control: netams-web: add missing depends on dbconfig-common
    (Closes: #566569).
  * Remove patches for ./configure.sh and use preconfigured
    debian/Rules.make instead of configure script.
  * debian/netams.init.d: $remote_fs added into dependences (thanks to
    lintian).
  * Description and debconf templates updated. Closes: #565127. Thanks
    to l10n-en guys.
  * Czech translation added. Closes: #565640. Thanks to Michal Simunek.
  * Swedish translation added. Closes: #565689. Thanks to Martin Bagge.
  * German translation added. Closes: #563405. Thanks to Thomas Mueller.
  * Russian translation added. Closes: #563180. Thanks to Yuri Kozlov.
  * Italian translation added. Closes: #566156. Thanks to Vincenzo
    Campanella.
  * French translation added. Closes: #566710. Thanks to Julien
    Patriarca.
  * Spanish translation added. Closes: #567454. Thanks to Francisco
    Javier Cuadrado.
  * Portuguese translation added. Closes: #563378. Thanks to Miguel
    Figueiredo.

 -- Alexander GQ Gerasiov <gq@debian.org>  Sun, 14 Feb 2010 03:22:52 +0300

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,7 @@
 
 common-build-arch::
 	test -f src/versions_build.c.upstream || cp src/versions_build.c src/versions_build.c.upstream
+	cp debian/Rules.make .
 	make
 	cp addon/.netamsctl.rc addon/netamsctl.rc
 	cp cgi-bin/admin/config.cgi cgi-bin/admin/admin-config.cgi
@@ -18,6 +19,7 @@
 
 binary-post-install/netams::
 	chmod 644 debian/netams/usr/share/netams/*
+	test ! -f src/ipfw2netflow || cp src/ipfw2netflow debian/netams/usr/sbin
 	find debian/netams/usr/share/doc/netams/examples -type f -exec chmod 644 {} \;
 
 binary-post-install/netams-web::
@@ -28,5 +30,5 @@
 
 cvsimport:
 	git checkout upstream
-	git-cvsimport -a -k -d :pserver:netams@netams.netams.com:/netams/cvs -r cvs netams
+	git cvsimport -a -k -d :pserver:netams@netams.netams.com:/netams/cvs -r cvs netams
 	git checkout master

=== debian/watch ===
--- 
+++ 
@@ -5,5 +5,5 @@
 
 # Compulsory line, this is a version 2 file
 version=3
-opts=dversionmangle=s/\+dfsg\d+$// \
+#opts=dversionmangle=s/\+dfsg\d+$// \
   http://www.netams.com/download.html files/netams-([0-9.rcbeta]*).tar.gz
